[Overview][Classes][Index] | Reference for unit 'elfwriter' (#fcl-res)

# EElfResourceWriterUnknownMachineException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Unknown machine type error

## Declaration

Source position: elfwriter.pp line 27

`type EElfResourceWriterUnknownMachineException = class(EElfResourceWriterException)`

## Inheritance

`EElfResourceWriterUnknownMachineException` |  | Unknown machine type error
`EElfResourceWriterException` |  | Base class for elf resource writer-related exceptions
`EResourceWriterException` |  | Base class for resource writer-related exceptions
`EResourceException` |  | Base class for resource-related exceptions
`Exception`
`TObject`

## Description

This exception is raised when an attempt is made to set TElfResourceWriter.MachineType to an unknown machine type.

## See also

TElfResourceWriter.MachineType |  | The machine type of the object file